2019-11-21 22:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006328Spring engineLuapublic2019-11-07 11:59
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006328: 104.0.1-1429-g1add37c maintenance Los check in GetUnitNearestEnemy is ignored
DescriptionSetting the third argument to true in GetUnitNearestEnemy is supposed to make the function only search over units that the allyTeam of the unit in the first argument can see. This no longer appears to be the case.

Reported here: https://zero-k.info/Battles/Detail/790662
Steps To ReproduceI reproduced the issue by putting echos in around here: https://github.com/ZeroK-RTS/Zero-K/blob/master/LuaRules/Gadgets/unit_tactical_ai.lua#L667
TagsNo tags attached.
Checked infolog.txt for ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-11-06 02:04 Google_Frog New Issue
2019-11-07 11:59 Kloot Assigned To => Kloot
2019-11-07 11:59 Kloot Status new => resolved
2019-11-07 11:59 Kloot Resolution open => fixed
2019-11-07 11:59 Kloot Fixed in Version => 104.0 +git
+Issue History